Bug 117677 - Face browsing leaves password visible/incorrect implementation of face browsing
Summary: Face browsing leaves password visible/incorrect implementation of face browsing
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm   
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: Security
: 114858 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-07 00:17 UTC by Beny Spensieri Jr.
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-17 19:17:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Beny Spensieri Jr. 2004-03-07 00:17:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
When using face browsing, gdm does not behave correctly, causing your
password to be exposed in a readable format during login.

Version-Release number of selected component (if applicable):
2.4.4.5-1.2

How reproducible:
Always

Steps to Reproduce:
1. Enable face browsing in GDM
2. Double click on a user's icon
    

Actual Results:

Once you double click on a user's icon focus is transferred to the
text input box.

The text input box prompts you for a username.

Those familiar with GDM may then accidentally input their password (as
this is the usual behaviour for GDM) causing it to be visible to
anyone who sees the screen.

Expected Results:

After double clicking on the user's icon, you should be prompted for a
password in a password field, so that it is not readable when you type
it in.

Additional info:

This bug also causes GDM to incorectly let you log in by letting you
use your password as your username, and no password (ie password field
is left blank).

Comment 1 Ray Strode [halfline] 2004-06-17 19:17:18 UTC
This is already fixed upstream.  See:

http://bugzilla.gnome.org/show_bug.cgi?id=126984

for details.

Comment 2 Moritz Barsnick 2004-06-21 11:30:34 UTC
*** Bug 114858 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.